<li [ngClass]="{ 'list-group-item' : true, 'list-group-item-success' : loveIts>0,'list-group-item-danger' : loveIts < 0 }" class="grid-container" style="width=80%; padding:1%; margin-left:10%; margin-right:10%; margin-bottom:20px;">

  <h4> {{ title }}</h4>
  <p class="date">{{ created_at | date: 'd/MM/y HH:mm' }}</p>
  <p class="content" style="text-align:left">{{ content }}</p>
  <div class="vote">
    <button class="btn btn-success col-4"
            (click)="upVote()" style="float:center;">
      Love it!
    </button>
    <span [ngStyle]="{color: getColor()}" style="font:bold; margin:5%;font-size: 0,7em;}">
      {{loveIts}}
    </span>
    <button class="btn btn-danger col-4"
            (click)="downVote()" style="float:center;">
      Hate it!
    </button>
    <button class="btn btn-warning" (click)="onDeletePost()">
      Supprimer post
    </button>
  </div>

</li>
